OpenVDB 5.1.0

Public Types | Public Member Functions | List of all members
NodeOp Class Reference

`#include <VolumeToSpheres.h>`

## Public Types
using | IndexRange = std::pair< size_t, size_t >

## Public Member Functions
| NodeOp (std::vector< Vec4R > &nodeBoundingSpheres, const std::vector< IndexRange > &leafRanges, const std::vector< Vec4R > &leafBoundingSpheres)
void | run (bool threaded=true)
void | operator() (const tbb::blocked_range< size_t > &) const

## Member Typedef Documentation

## ◆ IndexRange

using IndexRange = std::pair<size_t, size_t>

## Constructor & Destructor Documentation

## ◆ NodeOp()

NodeOp | ( | std::vector< Vec4R > & | nodeBoundingSpheres,
|  | const std::vector< IndexRange > & | leafRanges,
|  | const std::vector< Vec4R > & | leafBoundingSpheres
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

## ◆ run()

void run | ( | bool | threaded = `true` | ) |
| inline

The documentation for this class was generated from the following file:

- VolumeToSpheres.h